import { _decorator, Component, Node } from 'cc';
import DefaultSkill from './DefaultSkill';
import { KillAllMonsterSkill } from './KillAllMonsterSkill';
import { SkillBase } from './SkillBase';
const { ccclass, property } = _decorator;


export default class SkillManager{

    constructor(){

    }
    
    /**
     * 创建技能
     * @param type 
     */
    public Create(skillID:number):SkillBase{
        // switch (skillID) {
            // case 40005:
            //     return new KillAllMonsterSkill();
        //     default:
        //         return new DefaultSkill();
        // }
        return new DefaultSkill();
    }
    private static instance:SkillManager;
    public static get single():SkillManager{
        if(this.instance==null){
            this.instance=new SkillManager();
        }
        return this.instance;
    }
}
